--- title: "Get the DXL Integration Configuration for Sensor" slug: "get-the-dxl-integration-configuration-for-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-the-dxl-integration-configuration-for-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the DXL Integration Configuration for Sensor This URL retrieves the DXL integration configuration for Sensor. ### Resource URL GET /sensor// dxlintegration ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | | `enableDXL` | DXL enable or not | Boolean | | `epoServerIporName` | ePO server IP | String | | `epoServerPort` | ePO server port. Default is 8443 | Number | | `epoUsername` | ePO username | String | | `epoPassword` | ePO password | String | ### Example **Request** GET [https:///sdkapi/sensor/1001/dxlintegration](https://<NSM_IP>/sdkapi/sensor/1001/dxlintegration) **Response** ``` {       "inheritSettings": false,       "enableDXL": true,       "epoServerIporName": "10.213.169.206",       "epoServerPort": 8443,       "epoUsername": "admin",       "epoPassword": "admin123"    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1106 | Invalid Sensor | | 2 | 404 | 1124 | The Sensor is inactive | | 3 | 404 | 9201 | DXL integration supported only for NS and Virtual IPS Sensors having software version greater than or equal to 9.1 |